SketchG1Constraint Class

class NXOpen.SketchG1Constraint

Bases: NXOpen.SketchGeometricConstraint

Represents a sketch G1 constraint

Use NXOpen.Features.FeatureCollection.CreateSketchSplineBuilder() to create an instance of this class.

New in version NX10.0.0.

Properties

Property Description
Color Returns or sets the color of the object.
ConstraintSlopeType Returns the slope type of the constraint.
ConstraintType Returns the constraint’s type
IsBlanked Returns the blank status of this object.
IsFixedMagnitude Returns the flag to indicate if the slope magnitude is fixed.
IsInferred Returns a flag indicating whether the constraint is an inferred constraint
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Spline Returns the spline on which the G1 constraint is applied.
Tag Returns the Tag for this object.
TangentGeometry Returns the geometry supplying slope for G1 constraint.

Methods

Method Description
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetGeometry Returns the geometry associated with the constraint
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Highlight Highlights the object.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
Refresh Refreshes the constraint data after its geometries are edited.
RefreshDimension Refreshes the display of a sketch dimension
RemoveViewDependency Remove dependency on all views from an object.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.

Enumerations

SketchG1ConstraintSlopeType Enumeration Represents the G1 slope type of the constraint

Property Detail

ConstraintSlopeType

SketchG1Constraint.ConstraintSlopeType

Returns the slope type of the constraint.

-------------------------------------

Getter Method

Signature ConstraintSlopeType

Returns:
Return type:NXOpen.SketchG1ConstraintSlopeType

New in version NX10.0.0.

License requirements: None.

IsFixedMagnitude

SketchG1Constraint.IsFixedMagnitude

Returns the flag to indicate if the slope magnitude is fixed.

-------------------------------------

Getter Method

Signature IsFixedMagnitude

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: None.

IsOccurrence

SketchG1Constraint.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

SketchG1Constraint.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

SketchG1Constraint.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

SketchG1Constraint.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

SketchG1Constraint.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

SketchG1Constraint.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Spline

SketchG1Constraint.Spline

Returns the spline on which the G1 constraint is applied.

-------------------------------------

Getter Method

Signature Spline

Returns:the spline of the constraint
Return type:NXOpen.Spline

New in version NX10.0.0.

License requirements: None.

TangentGeometry

SketchG1Constraint.TangentGeometry

Returns the geometry supplying slope for G1 constraint.

-------------------------------------

Getter Method

Signature TangentGeometry

Returns:the slope geometry of the constraint
Return type:NXOpen.Curve

New in version NX10.0.0.

License requirements: None.

Method Detail

FindObject

SketchG1Constraint.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Print

SketchG1Constraint.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

SketchG1Constraint.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.